#!/usr/bin/env bash

set -e

rm -f ./*.tar.gz
rm -rf bin

mkdir bin

GOOS=linux GOARCH=amd64 go build -o bin/epochcli-linux-amd64
tar czvf epochcli-linux-amd64.tar.gz bin/epochcli-linux-amd64

GOOS=linux GOARCH=arm64 go build -o bin/epochcli-linux-arm64
tar czvf epochcli-linux-arm64.tar.gz bin/epochcli-linux-arm64

GOOS=windows GOARCH=amd64 go build -o bin/epochcli-windows-amd64
zip epochcli-windows-amd64.zip bin/epochcli-windows-amd64

GOOS=windows GOARCH=arm64 go build -o bin/epochcli-windows-arm64
zip epochcli-windows-arm64.zip bin/epochcli-windows-arm64

rm -rf bin